<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstUserPosition Method (IEdmUserMgr5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUserMgr5 Interface : GetFirstUserPosition Method (IEdmUserMgr5)

Visual Basic
C#
C++/CLI
Starts an enumeration of the users in the vault.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstUserPosition() As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstUserPosition()

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstUserPosition();

#### Return Value

IEdmPos5; position of the first user in the enumeration

# Example

Get and Set Folder Permissions (VB.NET)
Get and Set Folder Permissions (C#)
Send Message to Users (C#)
Send Message to Users (VB.NET)

# Remarks

After calling this method, pass the returned position of the first user to IEdmUserMgr5::GetNextUser to get the first user in this list. Then call IEdmUserMgr5::GetNextUser repeatedly to get the rest of the users.

C++ users not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUserMgr5 Interface
IEdmUserMgr5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2